
From: Bjorn Helgaas <bjorn.helgaas@hp.com>

Revert addition of pci_enable_device().  It wasn't appropriate to this
device, apparently.

Signed-off-by: Bjorn Helgaas <bjorn.helgaas@hp.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/net/ioc3-eth.c |   12 ++----------
 1 files changed, 2 insertions(+), 10 deletions(-)

diff -puN drivers/net/ioc3-eth.c~revert-ioc_eth3-pci_enable_device-changes drivers/net/ioc3-eth.c
--- 25/drivers/net/ioc3-eth.c~revert-ioc_eth3-pci_enable_device-changes	2004-08-25 19:16:12.433603240 -0700
+++ 25-akpm/drivers/net/ioc3-eth.c	2004-08-25 19:16:12.437602632 -0700
@@ -1172,14 +1172,9 @@ static int __devinit ioc3_probe(struct p
 	u32 vendor, model, rev;
 	int err;
 
-	if (pci_enable_device(pdev))
-		return -ENODEV;
-
 	dev = alloc_etherdev(sizeof(struct ioc3_private));
-	if (!dev) {
-		err = -ENOMEM;
-		goto out_disable;
-	}
+	if (!dev)
+		return -ENOMEM;
 
 	err = pci_request_regions(pdev, "ioc3");
 	if (err)
@@ -1274,8 +1269,6 @@ out_res:
 	pci_release_regions(pdev);
 out_free:
 	free_netdev(dev);
-out_disable:
-	pci_disable_device(pdev);
 	return err;
 }
 
@@ -1289,7 +1282,6 @@ static void __devexit ioc3_remove_one (s
 	iounmap(ioc3);
 	pci_release_regions(pdev);
 	free_netdev(dev);
-	pci_disable_device(pdev);
 }
 
 static struct pci_device_id ioc3_pci_tbl[] = {
_
